Skip to content

Retrieve the Password Complexity Requirements

Request

OAuth 2.0 scope:
  • okta.myAccount.password.read

Retrieves the password complexity requirements for the current user

Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
GET
/idp/myaccount/password/complexity-requirements
curl -i -X GET \
  https://okta-subdomain.pixtulate.com/idp/myaccount/password/complexity-requirements \
  -H 'Accept: application/json; okta-version=1.0.0'

Responses

Example response

Bodyapplication/json;okta-version=1.0.0
createdstring

If password is ACTIVE, returns the date when password was first enrolled

idstring, non-emptyread-only
lastUpdatedstring

If password is ACTIVE, returns the date when password was last updated

statusstring

ACTIVE, EXPIRED, SUSPENDED, NOT_ENROLLED

Response
{ "description": "Password requirements: at least 8 characters, a lowercase letter, an uppercase letter, a number, no parts of your username. Your password cannot be any of your last 4 password(s).", "complexity": { "minLength": 8, "minLowerCase": 1, "minUpperCase": 1, "minNumber": 1, "minSymbol": 0, "excludeUsername": true, "excludeAttributes": [] }, "_links": { "self": {} } }